# Class webdriver.http.Executor

code »

All implemented interfaces:
  `webdriver.CommandExecutor`

A command executor that communicates with a server using the WebDriver command protocol.

## Constructor

webdriver.http.Executor ( client )

Parameters

client: `!webdriver.http.Client`
  The client to use when sending requests to the server.

Show:PublicProtectedPrivate

## Instance Methods

code » execute ( command, callback )

Parameters

command
callback

## Instance Properties

code » client_ : `!webdriver.http.Client`

Client used to communicate with the server.

## Static Functions

code » webdriver.http.Executor.buildPath_ ( path, parameters ) ⇒ `string`

Builds a fully qualified path using the given set of command parameters. Each path segment prefixed with ':' will be replaced by the value of the corresponding parameter. All parameters spliced into the path will be removed from the parameter map.

Parameters

path: `string`
  The original resource path.
parameters: `!Object`
  The parameters object to splice into the path.

Returns

The modified path.

code » webdriver.http.Executor.parseHttpResponse_ ( httpResponse ) ⇒ `!bot.response.ResponseObject`

Callback used to parse `webdriver.http.Response` objects from a `webdriver.http.Client`.

Parameters

httpResponse: `!webdriver.http.Response`
  The HTTP response to parse.

Returns

The parsed response.

## Static Properties

code » webdriver.http.Executor.COMMAND_MAP_ : `!Object`

Maps command names to resource locator.